<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of XBPlog.
# Copyright (c) 2006 LinkMan. All rights reserved.
#
# XBPlog is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# XBPlog is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# ***** END LICENSE BLOCK *****
include_once('func/template.inc');

define('dir_tpl',xconfig('template'));


class Trace_Template{

	var $tpl;
	
	function Trace_Template(){
	 $this->tpl = new template();
	}
	
	function __construct(){
	 $this->tpl = new template();
	}

	////////////////////////////////////////////////////////////////////////////////////////////////////////////
	//Haut de la page
	function Haut($titre=''){
	 //echo $this->tpl;
	 $this->tpl->set_file('top','template/'.dir_tpl.'/1_top.tpl');
	 $this->tpl->set_var('titre',$titre);
	 $this->tpl->set_var('titre_blog',NBLOG);
	 $this->tpl->pparse('top','top');
	}
	
	////////////////////////////////////////////////////////////////////////////////////////////////////////////
	//Chemin
	function Chemin($chemin=''){
	 $this->tpl->set_file('che','template/'.dir_tpl.'/chemin.tpl');
	 $this->tpl->set_var('chemin',$chemin);
	 $this->tpl->pparse('che','che');
	}
	
	////////////////////////////////////////////////////////////////////////////////////////////////////////////
	//Liste dans categories
	function Categorie($d){
	 $this->tpl->set_file('cat','template/'.dir_tpl.'/cat.tpl');
     $nom = array_shift($d);
	 $this->tpl->set_var('titre_cat',$nom);
     
	 $this->tpl->set_block('cat','b_cat','b_temp_cat');

	 $menu_an = array_shift($d);
	 if(is_array($menu_an))$this->tpl->set_var('menu_an',$menu_an['deb'].$menu_an['txt'].$menu_an['menu_an'].$menu_an['fin']); 

	 while($data = array_shift($d)){
	  if($data['date'])$this->tpl->set_var('date',date("d/m/Y", $data['date']));
	  $this->tpl->set_var('titre',' - '.$data['lnk']);
	  $this->tpl->parse('b_temp_cat','b_cat',true);
	 }

	 $this->tpl->pparse('cat','cat');
	}
	
	////////////////////////////////////////////////////////////////////////////////////////////////////////////
	//Liste des articles
	function Articles($d){
	 $this->tpl->set_file('index','template/'.dir_tpl.'/index.tpl');
     $this->tpl->set_block('index','l_art','l_bloc');

	 while($data = array_shift($d)){
		 $this->tpl->set_var('titre',$data['titre']);
		 $this->tpl->set_var('date',jour(date('w', $data['date']),1) . date(' j ', $data['date']) . mois(date('n', $data['date'])) . date(' Y', $data['date']));
		 $this->tpl->set_var('rubrique',$data['rubrique']);
		 $this->tpl->set_var('text',$data['text']);
		 if(isset($data['links']) && $data['links'])$this->tpl->set_var('links','<br><br><br>'.$data['links']);
		 else $this->tpl->set_var('links','');
		 $this->tpl->set_var('nick',$data['nick']);
		 $this->tpl->set_var('heure',date("H:i", $data['date']));
		 
		 $lnk = $data['com'] . ' &nbsp;|&nbsp; ' . $data['perm_lnk'];
		 if(isset($_SESSION['level']) && $_SESSION['level'] >= 1)$lnk .= ' &nbsp;|&nbsp; ' . $data['admin']; 
		 $this->tpl->set_var('plus',$lnk);
		 $this->tpl->parse('l_bloc','l_art',true);
	 }
	 
	 $this->tpl->pparse('index','index');
	}
	
	////////////////////////////////////////////////////////////////////////////////////////////////////////////
	//Admin
	function Admin(){
	 $this->tpl->set_file('admin','template/'.dir_tpl.'/admin.tpl');
	 $this->tpl->set_var('chemin',SELF);
	 $this->tpl->pparse('admin','admin');
	}	
	
	////////////////////////////////////////////////////////////////////////////////////////////////////////////
	//Commentaires
	function Commentaires($d){
	 $this->tpl->set_file('com','template/'.dir_tpl.'/com.tpl');
	 $this->tpl->set_var('id_art',$_GET['art']);
	 
	 if(isset($d['error']))$this->tpl->set_var('error',array_shift($d));
	 if(isset($d['nick_log']))$this->tpl->set_var('nick_log',array_shift($d));
	 
	 $this->tpl->set_block('com','b_com','b_temp_com');
	 if(isset($d['NoCom'])){
	  $this->tpl->set_var('haut',$d['NoCom']);
	  $this->tpl->parse('b_temp_com','b_com',true);
	 }
	 else{
		 while($data = array_shift($d)){
		  $this->tpl->set_var('haut',$data['marqueur'].$data['lnk_nick_blog']);
		  $this->tpl->set_var('ecrit',$data['ecrit']);
		  $this->tpl->set_var('date_com',date("d/m/y  H:i", $data['date_com']));
		  $this->tpl->set_var('msg',$data['msg_com']);
		  $this->tpl->parse('b_temp_com','b_com',true);
		 }
	 }
 
	 $this->tpl->pparse('com','com');
	}
	
	////////////////////////////////////////////////////////////////////////////////////////////////////////////
	//Liens Index
	function Liens_Index($array){
	  $this->tpl->set_file('lien','template/'.dir_tpl.'/lien.tpl');
	  
	  if(defined('nbr_pg') && nbr_pg > 1)$this->tpl->set_var('lien_nav','Aller vers : '.$array['avt'].' '.$array['apr']);
	  
	  $this->tpl->pparse('lien','lien');
	}
	
	////////////////////////////////////////////////////////////////////////////////////////////////////////////
	//Liste des blogets
	function Blogets($d){
	 $this->tpl->set_file('r&b','template/'.dir_tpl.'/bloget.tpl');
	 $this->tpl->set_block('r&b','b_bloget','b_temp_bloget');

	 if(is_array($d)){
		 while($data_bloget = array_shift($d)){
		  $this->tpl->set_var('titre_bloget',$data_bloget['titre']);
		  $this->tpl->set_var('var_bloget',$data_bloget['aff']);
		  $this->tpl->parse('b_temp_bloget','b_bloget',true);
		 } 
	 }
	 $this->tpl->pparse('r&b','r&b');
	}
	
	////////////////////////////////////////////////////////////////////////////////////////////////////////////
	//Bas de la page
	function Bas(){
	 $this->tpl->set_file('bas','template/'.dir_tpl.'/2_bas.tpl');
	 $this->tpl->pparse('bas','bas');
	} 
}
?>